Topic
IC4NOTICE: developerWorks Community will be offline May 29-30, 2015 while we upgrade to the latest version of IBM Connections. For more information, read our upgrade FAQ.
1 reply Latest Post - ‏2013-01-20T13:46:43Z by rsubramani@us.ibm.com
SystemAdmin
SystemAdmin
483 Posts
ACCEPTED ANSWER

Pinned topic URGENT PLEASE HELP - STAP for KERNEL 2.6.32-200.13.1.el5uek-x86_64-SMP

‏2013-01-12T02:49:26Z |
Using system lsof at /usr/sbin/lsof
Starting Ktap module
Searching for modules in /usr/local/guardium/guard_stap/ktap/current/modules-*.tgz
An exact match for kernel 2.6.32-200.13.1.el5uek can not be found.
We can try to load the closest fitting delivered module.
This feature is not enabled by default, but we recommend
enabling it to reduce delays in support.
Do you wish to enable this feature (y/N/h)? y
guard_ktap_loader: ===================================================================
guard_ktap_loader: We cannot provide a module for the running kernel and no close
guard_ktap_loader: fitting combination was found. Please contact IBM and provide the
guard_ktap_loader: following information:
guard_ktap_loader: uname: Linux bredt1-svbddh11.cgmp-osa.com.br 2.6.32-200.13.1.el5uek #1 SMP Wed Jul 27 21:02:33 EDT 2011 x86_64 x86_64 x86_64 GNU/Linux
guard_ktap_loader: release: Enterprise Linux Enterprise Linux Server release 5.7 (Carthage) Oracle Linux Server release 5.7 Red Hat Enterprise Linux Server release 5.7 (Tikanga)
guard_ktap_loader: kernel: Using system lsof at /usr/sbin/lsof
Starting Ktap module
Searching for modules in /usr/local/guardium/guard_stap/ktap/current/modules-*.tgz
An exact match for kernel 2.6.32-200.13.1.el5uek can not be found.
We can try to load the closest fitting delivered module.
This feature is not enabled by default, but we recommend
enabling it to reduce delays in support.
Do you wish to enable this feature (y/N/h)? y
guard_ktap_loader: ===================================================================
guard_ktap_loader: We cannot provide a module for the running kernel and no close
guard_ktap_loader: fitting combination was found. Please contact IBM and provide the
guard_ktap_loader: following information:
guard_ktap_loader: uname: Linux bredt1-svbddh11.cgmp-osa.com.br 2.6.32-200.13.1.el5uek #1 SMP Wed Jul 27 21:02:33 EDT 2011 x86_64 x86_64 x86_64 GNU/Linux
guard_ktap_loader: release: Enterprise Linux Enterprise Linux Server release 5.7 (Carthage) Oracle Linux Server release 5.7 Red Hat Enterprise Linux Server release 5.7 (Tikanga)
guard_ktap_loader: kernel: 2.6.32-200.13.1.el5uek-x86_64-SMP
guard_ktap_loader: The in-kernel functionality will now be disabled.
guard_ktap_loader: ===================================================================
Could not start KTAP
guard_ktap_loader: ktap module is not loaded at this time.

If you decide not to continue the installation, then the
failed installation will be cleanup up. If you choose
to continue, then stap will be running with pcap (devices
will need to be set in guard_tap.ini). Manual steps will
be required to enable ktap later, if desired.
Do you wish to continue installation? y/N

guard_ktap_loader: The in-kernel functionality will now be disabled.
guard_ktap_loader: ===================================================================
Could not start KTAP
guard_ktap_loader: ktap module is not loaded at this time.

If you decide not to continue the installation, then the
failed installation will be cleanup up. If you choose
to continue, then stap will be running with pcap (devices
will need to be set in guard_tap.ini). Manual steps will
be required to enable ktap later, if desired.
Do you wish to continue installation? y/N
Somebody knows how to solve this BIG BUG????!!! We tried many times with the support and they returned to us the new module updated, but when we openned there was the same file with different name.

Our problem is: WE NEED THE MODULE for KERNEL 2.6.32-200.13.1.el5uek-x86_64-SMP.

Many thanks if somebody can HELP US!!!!
Updated on 2013-01-20T13:46:43Z at 2013-01-20T13:46:43Z by rsubramani@us.ibm.com
  • rsubramani@us.ibm.com
    30 Posts
    ACCEPTED ANSWER

    Re: URGENT PLEASE HELP - STAP for KERNEL 2.6.32-200.13.1.el5uek-x86_64-SMP

    ‏2013-01-20T13:46:43Z  in response to SystemAdmin
    HI:

    This is not a bug. In Linux, the KTAP modules must match the kernel version. If an exact match is not available, the "flex loading" mechanism will attempt to find a suitable near-match. In your case, that was not found either. So, a new module needs to be created for you. Please open a PMR with the following information:

    1. Version of the STAP that you are trying to install - you can just paste the name of the installer that you were using.
    2. The following information taken from the failed install:

    guard_ktap_loader: uname: Linux bredt1-svbddh11.cgmp-osa.com.br 2.6.32-200.13.1.el5uek #1 SMP Wed Jul 27 21:02:33 EDT 2011 x86_64 x86_64 x86_64 GNU/Linux
    guard_ktap_loader: release: Enterprise Linux Enterprise Linux Server release 5.7 (Carthage) Oracle Linux Server release 5.7 Red Hat Enterprise Linux Server release 5.7 (Tikanga)
    guard_ktap_loader: kernel: 2.6.32-200.13.1.el5uek-x86_64-SMP

    Thanks,
    Ravi.